// priority: 0

settings.logAddedRecipes = true
settings.logRemovedRecipes = true
settings.logSkippedRecipes = false
settings.logErroringRecipes = true

console.info('Hello, World! (You will see this line every time server resources reload)')

onEvent('recipes', event => {
    // Change recipes here
    event.remove({output: 'extendedcrafting:redstone_ingot'})
	event.remove({output: 'worlds_with_ores:coalword'})
	event.remove({output: 'exnihiloauto:compressed_cobble'})
	event.remove({output: 'exnihiloauto:highly_compressed_cobble'})
	event.remove({output: 'exnihiloauto:atomic_compressed_cobble'})
	event.remove({output: 'structurize:sceptergold'})
	event.remove({output: 'structurize:sceptersteel'})
	
    event.shaped('worlds_with_ores:coalword', [
    'AAA',
    'ASA',
    'AAA'
  ], {
    S: 'minecraft:flint_and_steel',
    A: 'minecraft:coal'
  })
	event.shaped('structurize:sceptergold', [
    '  S',
    ' A ',
    'A  '
  ], {
    S: 'minecraft:gold_ingot',
    A: 'minecraft:stick'
  })
    event.shaped('structurize:sceptersteel', [
    '  S',
    ' A ',
    'A  '
  ], {
    S: 'mekanism:ingot_steel',
    A: 'minecraft:stick'
  })
    event.shapeless('extendedcrafting:redstone_ingot', ['extendedcrafting:black_iron_ingot', 'minecraft:redstone'])
})

onEvent('item.tags', event => {
	// Get the #forge:cobblestone tag collection and add Diamond Ore to it
	// event.get('forge:cobblestone').add('minecraft:diamond_ore')

	// Get the #forge:cobblestone tag collection and remove Mossy Cobblestone from it 
	// event.get('forge:cobblestone').remove('minecraft:mossy_cobblestone')
})
